import { PartialFASTElementDefinition } from '@microsoft/fast-element';
import { TemplateOptions } from './templates';
/**
 * Do not reference any ../main files here. We must avoid ../tags being referenced and therefore setup pre-configuration.
 */
/**
 * AlertConfig DI interface.
 *
 * @public
 */
export interface AlertConfig extends PartialFASTElementDefinition {
    /**
     * Template options.
     *
     * @remarks
     * Used by host applications to assign MF template options and subcomponent tags to align with the host design system.
     */
    templateOptions: TemplateOptions;
    /**
     * Design System prefix for foundation-form
     *
     * @remarks
     * Used by foundation-form to specify the design system used by the form elements
     */
    designSystemPrefix: string;
}
/**
 * Default AlertConfig DI implementation.
 * @public
 */
export declare const defaultAlertConfig: AlertConfig;
/**
 * AlertConfig DI key.
 *
 * @internal
 * @privateRemarks
 * Marked as internal to stop api-extractor becoming confused cross-linking tokens with the same name.
 */
export declare const AlertConfig: import("@microsoft/fast-foundation").InterfaceSymbol<AlertConfig>;
//# sourceMappingURL=config.d.ts.map