import { ResourceType } from '@genesislcap/foundation-comms';
export const withoutFilterItemLabel = 'All';
export const activeFilterItemLabel = 'Active';
export const inactiveFilterItemLabel = 'Inactive';
export const activeFilterItemValue = 'ENABLED';
export const inactiveFilterItemValue = 'DISABLED';
export const filterKey = 'RULE_STATUS';
export const criteriaMap = new Map([
    [withoutFilterItemLabel, ''],
    [activeFilterItemLabel, `RULE_STATUS=='${activeFilterItemValue}'`],
    [inactiveFilterItemLabel, `RULE_STATUS=='${inactiveFilterItemValue}'`],
]);
const rowRefDefault = '7089212666878624591';
export const mockConnectMetadataDefault = {
    TYPE: ResourceType.DATASERVER,
    REQUEST_FIELD: [
        {
            NAME: 'MESSAGE',
            TYPE: 'STRING',
        },
        {
            NAME: 'TOPIC',
            TYPE: 'STRING',
        },
        {
            NAME: 'RULE_NAME',
            TYPE: 'STRING',
        },
        {
            NAME: 'RULE_DESCRIPTION',
            TYPE: 'STRING',
        },
        {
            NAME: 'USER_NAME',
            TYPE: 'STRING',
        },
        {
            NAME: 'RULE_TABLE',
            TYPE: 'STRING',
        },
        {
            NAME: 'RULE_EXPRESSION',
            TYPE: 'STRING',
        },
        {
            NAME: 'RULE_STATUS',
            TYPE: 'ENUM',
        },
        {
            NAME: 'DYNAMIC_NOTIFY_RULE_ID',
            TYPE: 'STRING',
        },
    ],
};
export const mockConnectMetadataUnsupported = Object.assign(Object.assign({}, mockConnectMetadataDefault), { REQUEST_FIELD: [] });
export const mockAlertsRulesItemDefault = {
    "MESSAGE": "Default item message",
    "TOPIC": "EMAIL_AND_SCREEN",
    "RULE_NAME": "Insert test",
    "RULE_DESCRIPTION": "Default test",
    "USER_NAME": "JohnDoe",
    "RULE_TABLE": "TRADE",
    "RULE_EXPRESSION": "Default test",
    "RULE_STATUS": "ENABLED",
    "DYNAMIC_NOTIFY_RULE_ID": "000000000000701DNLO1",
};
export const mockAlertsRulesDefaultResponse = {
    "ROWS_COUNT": 5,
    "MESSAGE_TYPE": "QUERY_UPDATE",
    "ROW": [Object.assign(Object.assign({}, mockAlertsRulesItemDefault), { "DETAILS": {
                "OPERATION": "INSERT",
                "ROW_REF": rowRefDefault
            } })],
    "MORE_ROWS": false,
    "SOURCE_REF": "313800d7-79b8-4cc0-b893-8bf5d2b20e5e",
    "SEQUENCE_ID": 1
};
export const mockAlertsRulesItemInsert = {
    "MESSAGE": "Insert test",
    "TOPIC": "EMAIL_AND_SCREEN",
    "RULE_NAME": "Insert test",
    "RULE_DESCRIPTION": "Insert test",
    "USER_NAME": "JohnDoe",
    "RULE_TABLE": "TRADE",
    "RULE_EXPRESSION": "Insert test",
    "RULE_STATUS": "ENABLED",
    "DYNAMIC_NOTIFY_RULE_ID": "000000000000701DNLO2",
};
export const mockAlertsRulesInsertResponse = {
    "MESSAGE_TYPE": "QUERY_UPDATE",
    "ROW": [Object.assign(Object.assign({}, mockAlertsRulesItemInsert), { "DETAILS": {
                "OPERATION": "INSERT",
                "ROW_REF": rowRefDefault,
            } })],
    "SOURCE_REF": "129bfdb6-90da-4001-bb17-b95bd7c1f290",
    "SEQUENCE_ID": 2,
};
export const mockAlertsRulesItemUpdateMessage = 'Update test';
export const mockAlertsRulesItemUpdate = Object.assign(Object.assign({}, mockAlertsRulesItemInsert), { "MESSAGE": mockAlertsRulesItemUpdateMessage });
export const mockAlertsRulesUpdateResponse = {
    "MESSAGE_TYPE": "QUERY_UPDATE",
    "ROW": [Object.assign(Object.assign({}, mockAlertsRulesItemUpdate), { "DETAILS": {
                "OPERATION": "MODIFY",
                "ROW_REF": rowRefDefault
            } })],
    "SOURCE_REF": "129bfdb6-90da-4001-bb17-b95bd7c1f290",
    "SEQUENCE_ID": 2,
};
export const mockAlertsRulesDeleteResponse = {
    "MESSAGE_TYPE": "QUERY_UPDATE",
    "ROW": [{
            "DETAILS": {
                "OPERATION": "DELETE",
                "ROW_REF": rowRefDefault
            }
        }],
    "SOURCE_REF": "129bfdb6-90da-4001-bb17-b95bd7c1f290",
    "SEQUENCE_ID": 2,
};
