import { DI } from '@microsoft/fast-foundation';
import { defaultTemplateOptions } from './templates';
/**
 * Default AlertConfig DI implementation.
 * @public
 */
export const defaultAlertConfig = {
    name: 'foundation-alerts',
    templateOptions: defaultTemplateOptions,
    designSystemPrefix: 'zero',
};
/**
 * AlertConfig DI key.
 *
 * @internal
 * @privateRemarks
 * Marked as internal to stop api-extractor becoming confused cross-linking tokens with the same name.
 */
export const AlertConfig = DI.createInterface((x) => x.instance(defaultAlertConfig));
